Subject: Re: need libbsd.so.1.0.0

From: [email-masked] (Bruce Perens)
Date: Tue, 3 Sep 96 22:39 PDT

From: [email-masked] (joost witteveen)
> But if you've got the .a file, cannot you make the .so file by:
>
> mkdir t
> cd t
> ar -x ../libbsd.a
> gcc -o libbsd.so.1.0.0 -shared -W,l-soname,libbsd.so.1 *.o
> 
> (I may well be _very_ wrong, and please flame me if I am,
> but I just _think_ it would work, and it's easy to find out).

This does not work because the contents of the .a file are not
position-independent code. This is why there is a libc-pic and
ncurses3.0-pic packages - They contain .a files of position-independent
code. I needed them to build special shared library versions for the
base system.

	Thanks

	Bruce